Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001639TestLinkUsers and Rightspublic2008-07-24 16:502008-11-07 19:45
ReporterTestLink_User 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 2 
Fixed in Version1.8 Beta 3 
Summary0001639: >User>Assign Test Plan Role - error msg upon change of test plan from drop-down selection
DescriptionUnder >User>Assign Test Plan Role, if I choose another test plan from the drop-down selection box, immediately, I get the below message. The same message appear if I click the Update button beside the box.

MESSAGE:
Not Found
The requested URL /testlink/lib/usermanagement/usersassign.php was not found on this server.

Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespdf file icon TestLink screenshots.pdf [^] (91,779 bytes) 2008-07-24 16:50
zip file icon testlink_library.zip [^] (3,814 bytes) 2008-07-24 23:56

- Relationships

-  Notes
(0003855)
fman (administrator)
2008-07-24 23:44
edited on: 2008-07-24 23:47

Old case problem, surelly you are using a case sensitive Operating System.
just rename in offending code usersassign -> usersAssign
Problem is on testlink.js file

(0003856)
fman (administrator)
2008-07-24 23:57

please use attached file, retest and give us feedback
(0003858)
TestLink_User (reporter)
2008-07-25 07:53

After replacing the old /gui/javascript/testlink_library.js with the new file,
I relogon/re-test and still get the same message. (is there any other step that I have miss beside replacing the file ?)

My laptop- Window Vista Home Premium (Service Pack 1), IE 7.0.6001.18000
Webhost server- Linux, PHP 5.2.6, MySQL 5.0.51a-community
(0003860)
mhavlat (reporter)
2008-07-25 17:30

Francisco, you checked-in to HEAD some old version. I rewrite it with my changes and added the noted uppercase fix too.
(0003868)
TestLink_User (reporter)
2008-07-25 19:42

My previous re-test took place some hours ago and the error message appear.

Now, I login again and do the re-test, and it is OK. No more error message.
I could not explain why this is so. Maybe, the server finally recognize the replaced testlink_library.js file.

Anyway, please close this issue. Thank you.
(0003890)
mhavlat (reporter)
2008-08-05 01:41

I can confirm that reloading of page doesn't renew javascript. A man must clean cache of browser in this case. Closed as fixed.

- Issue History
Date Modified Username Field Change
2008-07-24 16:50 TestLink_User New Issue
2008-07-24 16:50 TestLink_User File Added: TestLink screenshots.pdf
2008-07-24 23:44 fman Note Added: 0003855
2008-07-24 23:47 fman Note Edited: 0003855
2008-07-24 23:56 fman File Added: testlink_library.zip
2008-07-24 23:57 fman Note Added: 0003856
2008-07-24 23:57 fman Status new => feedback
2008-07-25 07:53 TestLink_User Note Added: 0003858
2008-07-25 17:30 mhavlat Note Added: 0003860
2008-07-25 17:33 mhavlat Status feedback => assigned
2008-07-25 17:33 mhavlat Assigned To => fman
2008-07-25 19:42 TestLink_User Note Added: 0003868
2008-08-05 01:41 mhavlat Status assigned => resolved
2008-08-05 01:41 mhavlat Fixed in Version => next development 1.8 RC 1
2008-08-05 01:41 mhavlat Resolution open => fixed
2008-08-05 01:41 mhavlat Note Added: 0003890
2008-09-16 02:31 mhavlat Fixed in Version next development 1.8 RC 1 => 1.8 Beta 3
2008-11-07 19:45 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker